Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.msg
Class DocumentBufferUpdate

    java.lang.Object
      net.sourceforge.jsxe.EBMessage
          net.sourceforge.jsxe.msg.DocumentBufferUpdate

public class DocumentBufferUpdate
extends EBMessage

Message sent when a document-related change occurs.

Since:
  jsXe 0.5 pre1
Version:
  $Id$
Author:
  Ian Lewis (IanLewis@member.fsf.org), Slava Pestov

Field Summary
`static Object` | `CLOSED` Buffer closed.
`static Object` | `DIRTY_CHANGED` Buffer dirty changed.
`static Object` | `LOADED` Buffer loaded.
`static Object` | `SAVED` Buffer saved.
`static Object` | `SAVING` Buffer saving.

Constructor Summary
`DocumentBufferUpdate(DocumentBuffer buffer, Object what)` Creates a new buffer update message.

Method Summary
`DocumentBuffer` | `getDocumentBuffer()` Returns the buffer involved.
`Object` | `getWhat()` Returns what caused this buffer update.
`String` | `paramString()` Returns a string representation of this message's parameters.

Methods inherited from class net.sourceforge.jsxe.EBMessage
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOADED

    public static final Object LOADED

  Buffer loaded.

### CLOSED

    public static final Object CLOSED

  Buffer closed.

### DIRTY_CHANGED

    public static final Object DIRTY_CHANGED

  Buffer dirty changed.

### SAVING

    public static final Object SAVING

  Buffer saving.

### SAVED

    public static final Object SAVED

  Buffer saved.

Constructor Detail

### DocumentBufferUpdate

    public DocumentBufferUpdate(DocumentBuffer buffer,
                                Object what)

  Creates a new buffer update message.

Parameters:
  `buffer` - The document buffer
  `what` - the update type

Method Detail

### getWhat

    public Object getWhat()

  Returns what caused this buffer update.

### getDocumentBuffer

    public DocumentBuffer getDocumentBuffer()

  Returns the buffer involved.

### paramString

    public String paramString()

  Description copied from class: `EBMessage`
  Returns a string representation of this message's parameters.

  Overrides:
    `paramString` in class `EBMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD